<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>MessageProcessor</title>
    <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

  </head>
  <body>
    <div>

      <!-- Name Title -->

      <h1>MessageProcessor</h1>

      <!-- Type and Stereotype -->

      <section style="margin-top: .5em;">
        <span class="alert alert-info">
          <span class="node-icon staruml-icon icon-UMLClass"></span>
          UMLClass
        </span>
        
      </section>

      <!-- Path -->

      <section style="margin-top: 10px">
        
        
        
          
          <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='a71d27e455b6eb662a845325ab9aa33e.html'><span class='node-icon staruml-icon icon-UMLClass'></span>MessageProcessor</a></span>
        
      </section>

      <!-- Diagram -->

      

      <!-- Description -->

      
      <section>
        <h3>Description</h3>
        <div>
          
            <span class="label label-info">none</span>
          
        </div>
      </section>
      

      <!-- Specification -->

      

      <!-- Directed Relationship -->

      

      <!-- Undirected Relationship -->

      

      <!-- Classifier -->

      
        
        


        
        


        
        


        
        


        
        

      

      <!-- Interface -->

      

      <!-- Component -->

      

      <!-- Node -->

      

      <!-- Actor -->

      

      <!-- Use Case -->

      

      <!-- Template Parameters -->

      

      <!-- Literals -->

      

      <!-- Attributes -->

      
      <section>
        <h3>Attributes</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Type</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>private</td>
            <td><a href="f94bd8631d2a099febc8c8f6a70931f3.html">note</a></td>
            <td><a href='e0e5bc1a3c40b9bc5a1b736df611d51b.html'>Note</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>private</td>
            <td><a href="363a887c3f9829f2da504315254efaf6.html">outcome</a></td>
            <td><a href='3545727e81ab12afd91857dec4ee9287.html'>Outcome</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Operations -->

      
      <section>
        <h3>Operations</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="34aad91907ee3235940bd3eb55b90bbd.html">process(income: Income): Outcome</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Receptions -->

      

      <!-- Extension Points -->

      

      <!-- Parameters -->

      

      <!-- Diagrams -->

      
      

      <!-- Behavior -->

      

      <!-- Action -->

      

      <!-- Interaction -->

      

      <!-- CombinedFragment -->

      

      <!-- Activity -->

      

      <!-- State Machine -->

      

      <!-- State Machine -->

      

      <!-- State -->

      

      <!-- Vertex -->

      

      <!-- Transition -->

      

      <!-- Data Model (ERD) -->

      

      <!-- Columns (ERD) -->

      

      <!-- Related Entities (ERD) -->

      

      <!-- Data Flows (DFD) -->

      

      <!-- Flows (Flowchart) -->

      

      <!-- Properties -->

      <section>
        <h3>Properties</h3>
        
        <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>MessageProcessor</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isActive</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

      </section>

      <!-- Tags -->

      

      <!-- Constraints, Dependencies, Dependants -->

      
        
        


        
        


        
        

      

      <!-- Relationships -->

      
      
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='eafddfe676e571371a1d6981940cb137.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—Income)</a></li>
        
        <li><a href='791f62ed8d159419eece15f8930418cb.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—Note)</a></li>
        
        <li><a href='1b246aa479c03ad5f96a61ee79c2aab0.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—Outcome)</a></li>
        
        <li><a href='0e5a819b85a2f6bd64537750bbfbf956.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—Outcome)</a></li>
        
    </ul>
</section>



      <!-- Owned Elements -->

      
      
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='eafddfe676e571371a1d6981940cb137.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—Income)</a></li>
        
        <li><a href='791f62ed8d159419eece15f8930418cb.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—Note)</a></li>
        
        <li><a href='1b246aa479c03ad5f96a61ee79c2aab0.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—Outcome)</a></li>
        
        <li><a href='0e5a819b85a2f6bd64537750bbfbf956.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—Outcome)</a></li>
        
    </ul>
</section>



    </div>
  </body>
</html>
